| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | Protected Member Functions | List of all members
ExtArgTable Class Reference

Represents an extcap argument displayed as an editable table. More...

`#include <extcap_argument_multiselect.h>`

Inheritance diagram for ExtArgTable:

## Public Slots
virtual void | setDefaultValue () override
| Sets the table to its default state.
Public Slots inherited from ExtArgMultiSelect
virtual void | setDefaultValue () override
| Sets the selector to its default values.
Public Slots inherited from ExtcapArgument
virtual void | setDefaultValue ()
| Slot to set the argument to its default value.
void | onBoolChanged (bool val)
| Slot to handle boolean value changes.
void | onIntChanged (int val)
| Slot to handle integer value changes.
void | onStringChanged (QString val)
| Slot to handle string value changes.

## Public Member Functions
| ExtArgTable (extcap_arg *argument, QObject *parent=Q_NULLPTR)
| Constructs an ExtArgTable.
virtual | ~ExtArgTable ()
| Destroys the ExtArgTable.
virtual QString | value () override
| Retrieves the serialized string representing the table's values.
Public Member Functions inherited from ExtArgMultiSelect
| ExtArgMultiSelect (extcap_arg *argument, QObject *parent=Q_NULLPTR)
| Constructs an ExtArgMultiSelect.
virtual | ~ExtArgMultiSelect ()
| Destroys the ExtArgMultiSelect.
virtual bool | isValid () override
| Checks if the current selection is valid.
virtual QString | defaultValue () override
| Retrieves the default values for the selector.
virtual bool | isSetDefaultValueSupported () override
| Checks if setting default values is supported.
Public Member Functions inherited from ExtcapArgument
| ExtcapArgument (QObject *parent=Q_NULLPTR)
| Constructs an empty ExtcapArgument.
| ExtcapArgument (extcap_arg *argument, QObject *parent=Q_NULLPTR)
| Constructs an ExtcapArgument from a core extcap_arg structure.
| ExtcapArgument (const ExtcapArgument &obj)
| Copy constructor for ExtcapArgument.
virtual | ~ExtcapArgument ()
| Destroys the ExtcapArgument.
virtual QWidget * | createLabel (QWidget *parent=0)
| Creates a label widget for this argument.
virtual extcap_arg * | argument ()
| Retrieves the underlying extcap_arg structure.
virtual QString | call ()
| Retrieves the call string for this argument.
bool | isDefault ()
| Checks if the argument currently holds its default value.
bool | isRequired ()
| Checks if the argument is required.
bool | isSufficient ()
| Checks if the argument provides sufficient information on its own.
bool | reload ()
| Reloads the argument data.
QString | prefKey (const QString &device_name, const QString &option_name, const QString &option_value)
| Generates a preference key for this argument.
virtual QString | prefValue ()
| Retrieves the preference value for this argument.
void | resetValue ()
| Resets the argument to its initial value.
virtual QString | group () const
| Retrieves the group name this argument belongs to.
virtual int | argNr () const
| Retrieves the argument number.

## Protected Member Functions
virtual QWidget * | createEditor (QWidget *parent) override
| Creates the editor widget for the table argument.
void | addKnown ()
| Adds a known entry to the table.
void | addCustom ()
| Opens a dialog to add a custom entry to the table.
void | removeSelected ()
| Removes the currently selected entries from the table.
void | addChecked (QStringList checked, QStringList options)
| Adds a list of checked items to the table.
virtual void | showExtcapOptionsDialogForOptionValue (QStandardItem *item, QString &option_value)
| Displays the extcap options dialog for a specific item.
virtual void | extcap_options_finished (QStandardItem *item)
| Handles the completion of the extcap options dialog.
Protected Member Functions inherited from ExtArgMultiSelect
virtual QList< QStandardItem * > | valueWalker (ExtcapValueList list, QStringList &defaults)
| Traverses the value list to create standard items.
void | checkItemsWalker (QStandardItem *item, QStringList defaults)
| Traverses and checks items recursively based on default values.
virtual QStringList | checkedValues ()
| Retrieves a list of all currently checked values.
Protected Member Functions inherited from ExtcapArgument
bool | fileExists ()
| Checks if a file path specified by the argument exists.
ExtcapValueList | loadValues (QString parent)
| Loads the available values for this argument.
bool | reloadValues ()
| Reloads the values list.

## Additional Inherited Members
Signals inherited from ExtcapArgument
void | valueChanged ()
| Signal emitted when the argument's value changes.
Static Public Member Functions inherited from ExtcapArgument
static ExtcapArgument * | create (extcap_arg *argument=Q_NULLPTR, QObject *parent=Q_NULLPTR)
| Factory method to create an appropriate ExtcapArgument subclass.
Protected Attributes inherited from ExtArgMultiSelect
QStandardItemModel * | viewModel
QMap< QString, QString > | displayNames
Protected Attributes inherited from ExtcapArgument
ExtcapValueList | values
extcap_arg * | _argument
QLabel * | _label
int | _number

## Detailed Description

Represents an extcap argument displayed as an editable table.

## Constructor & Destructor Documentation

## ◆ ExtArgTable()

ExtArgTable::ExtArgTable | ( | extcap_arg * | argument,
|  | QObject * | parent = Q_NULLPTR )

Constructs an ExtArgTable.

Parameters

  argument | Pointer to the core extcap_arg.
  parent | The parent QObject, defaults to Q_NULLPTR.

## Member Function Documentation

## ◆ addChecked()

void ExtArgTable::addChecked | ( | QStringList | checked,
|  | QStringList | options )
| protected

Adds a list of checked items to the table.

Parameters

  checked | The list of checked strings.
  options | The corresponding list of options.

## ◆ createEditor()

QWidget * ExtArgTable::createEditor | ( | QWidget * | parent | ) |
| override protected virtual

Creates the editor widget for the table argument.

Parameters

  parent | The parent widget.

Returns
  A pointer to the created table widget.

Reimplemented from ExtArgMultiSelect.

## ◆ extcap_options_finished()

void ExtArgTable::extcap_options_finished | ( | QStandardItem * | item | ) |
| protected virtual

Handles the completion of the extcap options dialog.

Parameters

  item | The standard item that was edited.

## ◆ showExtcapOptionsDialogForOptionValue()

void ExtArgTable::showExtcapOptionsDialogForOptionValue | ( | QStandardItem * | item,
|  | QString & | option_value )
| protected virtual

Displays the extcap options dialog for a specific item.

Parameters

  item | The standard item to edit.
  option_value | The current option value.

## ◆ value()

QString ExtArgTable::value | ( |  | ) |
| override virtual

Retrieves the serialized string representing the table's values.

Returns
  The serialized values string.

Reimplemented from ExtArgMultiSelect.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/extcap_argument_multiselect.h
- /builds/wireshark/wireshark/ui/qt/extcap_argument_multiselect.cpp